<md-dialog flex="50" aria-label="Comments" zafira-background-theme="modal" class="modal-default styled-modal">
    <form class="form-validation styled-modal__form" name="comments_form" ng-submit="createUser(); UtilService.untouchForm(comments_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Comments</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-sm="column">
                    <md-input-container flex>
                        <label>Comment</label>
                        <textarea id="comment"
                            name="comment"
                            class="textarea_border"
                            data-ng-model="testRun.comments"
                            rows="5"
                            placeholder=""
                            md-no-resize
                            md-detect-hidde></textarea>
                    </md-input-container>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="markAsReviewed" class="md-raised btn-w-md md-primary" ng-click="markReviewed()" ng-disabled="comments_form.$invalid">
                Mark as reviewed
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
